Retrieve an account with an account ID
curl --request GET \
--url https://api.sandbox.goteal.co/accounts/{account_id} \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.sandbox.goteal.co/accounts/{account_id}"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.sandbox.goteal.co/accounts/{account_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"account_id": "95a0e70b-fe02-4f47-aef9-2efff279df71",
"payroll_provider": "quickbooks",
"user_name": "john.smith@company.com",
"created_at": "2019-05-17T00:00:00.000Z",
"status": "PENDING",
"mfa_enabled": true,
"latest_pay_date": "2019-05-17T00:00:00.000Z"
}{
"errors": [
"No X-API-KEY header provided or wrong value"
]
}{
"errors": [
"The resource with id [8be3bb60-5ab4-4bd2-90e6-3b015691a827] does not exist"
]
}Accounts
Get an account
GET
/
accounts
/
{account_id}
Retrieve an account with an account ID
Authorizations
ApiKeyAuthMemberBearerAuth
Path Parameters
ID of the account to retrieve
Response
Succesfully retrieved account
The id of the account
Example:
"95a0e70b-fe02-4f47-aef9-2efff279df71"
The payroll provider to use
Example:
"quickbooks"
The login of the user
Example:
"john.smith@company.com"
Example:
"2019-05-17T00:00:00.000Z"
Status of account
Example:
"PENDING"
Is mfa enabled for this account
The latest pay date of the payroll under this account
Example:
"2019-05-17T00:00:00.000Z"